Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/group5.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/group5.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/group5.exp
@@ -24,9 +24,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="18" operation="stopped" operation_key="rsc2_stopped_0"/>
        </trigger>
      </inputs>
@@ -137,9 +134,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="child_rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <rsc_op id="11" operation="stop" operation_key="child_rsc2_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
@@ -187,9 +181,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="child_rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <rsc_op id="13" operation="stop" operation_key="child_rsc3_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
@@ -237,9 +228,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="5" operation="monitor" operation_key="child_rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="17" operation="stop" operation_key="rsc2_stop_0"/>
        </trigger>
      </inputs>
@@ -279,11 +267,7 @@
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-     <inputs>
-       <trigger>
-        <rsc_op id="6" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-     </inputs>
+    <inputs/>
    </synapse>
    <synapse id="18">
      <action_set>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/group6.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/group6.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/group6.dot
@@ -1,7 +1,6 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "child_rsc1_monitor_0 node2" -> "child_rsc1_start_0 node2" [ style = bold]
-"child_rsc1_monitor_0 node2" -> "child_rsc1_stop_0 node1" [ style = bold]
 "child_rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1_start_0 node2" -> "child_rsc2_start_0 node2" [ style = bold]
 "child_rsc1_start_0 node2" -> "rsc1_running_0" [ style = bold]
@@ -11,7 +10,6 @@
 "child_rsc1_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2_monitor_0 node2" -> "child_rsc2_start_0 node2" [ style = bold]
-"child_rsc2_monitor_0 node2" -> "child_rsc2_stop_0 node1" [ style = bold]
 "child_rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2_start_0 node2" -> "child_rsc3_start_0 node2" [ style = bold]
 "child_rsc2_start_0 node2" -> "rsc1_running_0" [ style = bold]
@@ -22,7 +20,6 @@
 "child_rsc2_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc2_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc3_monitor_0 node2" -> "child_rsc3_start_0 node2" [ style = bold]
-"child_rsc3_monitor_0 node2" -> "child_rsc3_stop_0 node1" [ style = bold]
 "child_rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc3_start_0 node2" -> "rsc1_running_0" [ style = bold]
 "child_rsc3_start_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -32,7 +29,6 @@
 "child_rsc3_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc3_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc4_monitor_0 node2" -> "child_rsc4_start_0 node2" [ style = bold]
-"child_rsc4_monitor_0 node2" -> "child_rsc4_stop_0 node1" [ style = bold]
 "child_rsc4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc4_start_0 node2" -> "child_rsc5_start_0 node2" [ style = bold]
 "child_rsc4_start_0 node2" -> "rsc2_running_0" [ style = bold]
@@ -42,7 +38,6 @@
 "child_rsc4_stop_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc4_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc5_monitor_0 node2" -> "child_rsc5_start_0 node2" [ style = bold]
-"child_rsc5_monitor_0 node2" -> "child_rsc5_stop_0 node1" [ style = bold]
 "child_rsc5_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc5_start_0 node2" -> "child_rsc6_start_0 node2" [ style = bold]
 "child_rsc5_start_0 node2" -> "rsc2_running_0" [ style = bold]
@@ -53,7 +48,6 @@
 "child_rsc5_stop_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc5_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc6_monitor_0 node2" -> "child_rsc6_start_0 node2" [ style = bold]
-"child_rsc6_monitor_0 node2" -> "child_rsc6_stop_0 node1" [ style = bold]
 "child_rsc6_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc6_start_0 node2" -> "rsc2_running_0" [ style = bold]
 "child_rsc6_start_0 node2" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/group6.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/group6.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/group6.exp
@@ -93,9 +93,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="child_rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <rsc_op id="10" operation="stop" operation_key="child_rsc2_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
@@ -143,9 +140,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="3" operation="monitor" operation_key="child_rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <rsc_op id="12" operation="stop" operation_key="child_rsc3_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
@@ -193,9 +187,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="child_rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="16" operation="stop" operation_key="rsc1_stop_0"/>
        </trigger>
      </inputs>
@@ -302,9 +293,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="5" operation="monitor" operation_key="child_rsc4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <rsc_op id="20" operation="stop" operation_key="child_rsc5_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
@@ -352,9 +340,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="6" operation="monitor" operation_key="child_rsc5_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <rsc_op id="22" operation="stop" operation_key="child_rsc6_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
@@ -402,9 +387,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="7" operation="monitor" operation_key="child_rsc6_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="26" operation="stop" operation_key="rsc2_stop_0"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/group9.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/group9.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/group9.dot
@@ -37,7 +37,6 @@
 "rsc4_stop_0 node1" -> "rsc4_start_0 node1" [ style = bold]
 "rsc4_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc5_monitor_0 node2" -> "rsc5_start_0 node1" [ style = bold]
-"rsc5_monitor_0 node2" -> "rsc5_stop_0 node1" [ style = bold]
 "rsc5_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc5_start_0 node1" -> "foo_running_0" [ style = bold]
 "rsc5_start_0 node1" [ style=bold color="green" fontcolor="black" ]
@@ -47,7 +46,6 @@
 "rsc5_stop_0 node1" -> "rsc5_start_0 node1" [ style = bold]
 "rsc5_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc6_monitor_0 node2" -> "rsc6_start_0 node2" [ style = bold]
-"rsc6_monitor_0 node2" -> "rsc6_stop_0 node1" [ style = bold]
 "rsc6_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc6_start_0 node2" -> "bar_running_0" [ style = bold]
 "rsc6_start_0 node2" -> "rsc7_start_0 node2" [ style = bold]
@@ -67,7 +65,6 @@
 "rsc7_stop_0 node1" -> "rsc7_start_0 node2" [ style = bold]
 "rsc7_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc8_monitor_0 node2" -> "rsc8_start_0 node2" [ style = bold]
-"rsc8_monitor_0 node2" -> "rsc8_stop_0 node1" [ style = bold]
 "rsc8_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc8_start_0 node2" -> "bar_running_0" [ style = bold]
 "rsc8_start_0 node2" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/group9.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/group9.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/group9.exp
@@ -157,9 +157,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="rsc5_monitor_0" on_node="node2" on_node_uuid="node2"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="23" operation="stop" operation_key="foo_stop_0"/>
        </trigger>
      </inputs>
@@ -266,9 +263,6 @@
         <rsc_op id="2" operation="stop" operation_key="rsc7_stop_0" on_node="node1" on_node_uuid="node1"/>
        </trigger>
        <trigger>
-        <rsc_op id="9" operation="monitor" operation_key="rsc6_monitor_0" on_node="node2" on_node_uuid="node2"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="32" operation="stop" operation_key="bar_stop_0"/>
        </trigger>
      </inputs>
@@ -360,9 +354,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="11" operation="monitor" operation_key="rsc8_monitor_0" on_node="node2" on_node_uuid="node2"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="32" operation="stop" operation_key="bar_stop_0"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/guest-node-host-dies.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/guest-node-host-dies.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/guest-node-host-dies.dot
@@ -67,13 +67,10 @@ digraph "g" {
 "lxc-ms_stop_0 lxc2" -> "lxc-ms_start_0 lxc2" [ style = bold]
 "lxc-ms_stop_0 lxc2" [ style=bold color="green" fontcolor="orange"]
 "lxc1_monitor_0 rhel7-3" -> "lxc1_start_0 rhel7-2" [ style = bold]
-"lxc1_monitor_0 rhel7-3" -> "lxc1_stop_0 rhel7-1" [ style = bold]
 "lxc1_monitor_0 rhel7-3" [ style=bold color="green" fontcolor="black"]
 "lxc1_monitor_0 rhel7-4" -> "lxc1_start_0 rhel7-2" [ style = bold]
-"lxc1_monitor_0 rhel7-4" -> "lxc1_stop_0 rhel7-1" [ style = bold]
 "lxc1_monitor_0 rhel7-4" [ style=bold color="green" fontcolor="black"]
 "lxc1_monitor_0 rhel7-5" -> "lxc1_start_0 rhel7-2" [ style = bold]
-"lxc1_monitor_0 rhel7-5" -> "lxc1_stop_0 rhel7-1" [ style = bold]
 "lxc1_monitor_0 rhel7-5" [ style=bold color="green" fontcolor="black"]
 "lxc1_monitor_30000 rhel7-2" [ style=bold color="green" fontcolor="black"]
 "lxc1_start_0 rhel7-2" -> "lxc-ms_promote_0 lxc1" [ style = bold]
@@ -85,13 +82,10 @@ digraph "g" {
 "lxc1_stop_0 rhel7-1" -> "lxc1_start_0 rhel7-2" [ style = bold]
 "lxc1_stop_0 rhel7-1" [ style=bold color="green" fontcolor="orange"]
 "lxc2_monitor_0 rhel7-2" -> "lxc2_start_0 rhel7-3" [ style = bold]
-"lxc2_monitor_0 rhel7-2" -> "lxc2_stop_0 rhel7-1" [ style = bold]
 "lxc2_monitor_0 rhel7-2" [ style=bold color="green" fontcolor="black"]
 "lxc2_monitor_0 rhel7-4" -> "lxc2_start_0 rhel7-3" [ style = bold]
-"lxc2_monitor_0 rhel7-4" -> "lxc2_stop_0 rhel7-1" [ style = bold]
 "lxc2_monitor_0 rhel7-4" [ style=bold color="green" fontcolor="black"]
 "lxc2_monitor_0 rhel7-5" -> "lxc2_start_0 rhel7-3" [ style = bold]
-"lxc2_monitor_0 rhel7-5" -> "lxc2_stop_0 rhel7-1" [ style = bold]
 "lxc2_monitor_0 rhel7-5" [ style=bold color="green" fontcolor="black"]
 "lxc2_monitor_30000 rhel7-3" [ style=bold color="green" fontcolor="black"]
 "lxc2_start_0 rhel7-3" -> "lxc-ms_monitor_10000 lxc2" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/guest-node-host-dies.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/guest-node-host-dies.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/guest-node-host-dies.exp
@@ -453,15 +453,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="5" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-3" on_node_uuid="4"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="6" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-4" on_node_uuid="5"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-5" on_node_uuid="3"/>
-      </trigger>
-      <trigger>
         <crm_event id="42" operation="stonith" operation_key="stonith-rhel7-1-reboot" on_node="rhel7-1" on_node_uuid="1"/>
       </trigger>
     </inputs>
@@ -542,15 +533,6 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-2" on_node_uuid="2"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="7" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-4" on_node_uuid="5"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="9" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-5" on_node_uuid="3"/>
-      </trigger>
-      <trigger>
         <crm_event id="42" operation="stonith" operation_key="stonith-rhel7-1-reboot" on_node="rhel7-1" on_node_uuid="1"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc2.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/inc2.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc2.dot
@@ -4,7 +4,6 @@
 "child_rsc1:0_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:1_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
 "child_rsc1:1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
-"child_rsc1:2_monitor_0 node2" -> "child_rsc1:2_stop_0 node1" [ style = bold]
 "child_rsc1:2_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
 "child_rsc1:2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:2_start_0 node2" -> "rsc1_running_0" [ style = bold]
@@ -13,7 +12,6 @@
 "child_rsc1:2_stop_0 node1" -> "child_rsc1:2_start_0 node2" [ style = bold]
 "child_rsc1:2_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:2_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
-"child_rsc1:3_monitor_0 node2" -> "child_rsc1:3_stop_0 node1" [ style = bold]
 "child_rsc1:3_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
 "child_rsc1:3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:3_start_0 node2" -> "rsc1_running_0" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc2.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/inc2.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc2.exp
@@ -42,9 +42,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="4" operation="monitor" operation_key="child_rsc1:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="18" operation="stop" operation_key="rsc1_stop_0"/>
        </trigger>
      </inputs>
@@ -83,9 +80,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="5" operation="monitor" operation_key="child_rsc1:3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="18" operation="stop" operation_key="rsc1_stop_0"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc3.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/inc3.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc3.dot
@@ -4,7 +4,6 @@
 "child_rsc1:0_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:1_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
 "child_rsc1:1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
-"child_rsc1:2_monitor_0 node2" -> "child_rsc1:2_stop_0 node1" [ style = bold]
 "child_rsc1:2_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
 "child_rsc1:2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:2_start_0 node2" -> "rsc1_running_0" [ style = bold]
@@ -13,7 +12,6 @@
 "child_rsc1:2_stop_0 node1" -> "child_rsc1:2_start_0 node2" [ style = bold]
 "child_rsc1:2_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:2_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
-"child_rsc1:3_monitor_0 node2" -> "child_rsc1:3_stop_0 node1" [ style = bold]
 "child_rsc1:3_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
 "child_rsc1:3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:3_start_0 node2" -> "rsc1_running_0" [ style = bold]
@@ -33,7 +31,6 @@
 "child_rsc2:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2:2_monitor_0 node1" -> "rsc2_start_0" [ style = bold]
 "child_rsc2:2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
-"child_rsc2:3_monitor_0 node1" -> "child_rsc2:3_stop_0 node2" [ style = bold]
 "child_rsc2:3_monitor_0 node1" -> "rsc2_start_0" [ style = bold]
 "child_rsc2:3_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2:3_start_0 node1" -> "rsc2_running_0" [ style = bold]
@@ -42,7 +39,6 @@
 "child_rsc2:3_stop_0 node2" -> "child_rsc2:3_start_0 node1" [ style = bold]
 "child_rsc2:3_stop_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:3_stop_0 node2" [ style=bold color="green" fontcolor="black" ]
-"child_rsc2:4_monitor_0 node1" -> "child_rsc2:4_stop_0 node2" [ style = bold]
 "child_rsc2:4_monitor_0 node1" -> "rsc2_start_0" [ style = bold]
 "child_rsc2:4_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2:4_start_0 node1" -> "rsc2_running_0" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc3.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/inc3.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc3.exp
@@ -42,9 +42,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="9" operation="monitor" operation_key="child_rsc1:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="23" operation="stop" operation_key="rsc1_stop_0"/>
        </trigger>
      </inputs>
@@ -83,9 +80,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="10" operation="monitor" operation_key="child_rsc1:3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="23" operation="stop" operation_key="rsc1_stop_0"/>
        </trigger>
      </inputs>
@@ -251,9 +245,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="5" operation="monitor" operation_key="child_rsc2:3_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="37" operation="stop" operation_key="rsc2_stop_0"/>
        </trigger>
      </inputs>
@@ -292,9 +283,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="6" operation="monitor" operation_key="child_rsc2:4_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="37" operation="stop" operation_key="rsc2_stop_0"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc4.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/inc4.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc4.dot
@@ -4,7 +4,6 @@
 "child_rsc1:0_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:1_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
 "child_rsc1:1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
-"child_rsc1:2_monitor_0 node2" -> "child_rsc1:2_stop_0 node1" [ style = bold]
 "child_rsc1:2_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
 "child_rsc1:2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:2_start_0 node2" -> "child_rsc1:3_start_0 node2" [ style = bold]
@@ -14,7 +13,6 @@
 "child_rsc1:2_stop_0 node1" -> "child_rsc1:2_start_0 node2" [ style = bold]
 "child_rsc1:2_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:2_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
-"child_rsc1:3_monitor_0 node2" -> "child_rsc1:3_stop_0 node1" [ style = bold]
 "child_rsc1:3_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
 "child_rsc1:3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:3_start_0 node2" -> "rsc1_running_0" [ style = bold]
@@ -36,7 +34,6 @@
 "child_rsc2:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2:2_monitor_0 node1" -> "rsc2_start_0" [ style = bold]
 "child_rsc2:2_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
-"child_rsc2:3_monitor_0 node1" -> "child_rsc2:3_stop_0 node2" [ style = bold]
 "child_rsc2:3_monitor_0 node1" -> "rsc2_start_0" [ style = bold]
 "child_rsc2:3_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2:3_start_0 node1" -> "child_rsc2:4_start_0 node1" [ style = bold]
@@ -46,7 +43,6 @@
 "child_rsc2:3_stop_0 node2" -> "child_rsc2:3_start_0 node1" [ style = bold]
 "child_rsc2:3_stop_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:3_stop_0 node2" [ style=bold color="green" fontcolor="black" ]
-"child_rsc2:4_monitor_0 node1" -> "child_rsc2:4_stop_0 node2" [ style = bold]
 "child_rsc2:4_monitor_0 node1" -> "rsc2_start_0" [ style = bold]
 "child_rsc2:4_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2:4_start_0 node1" -> "rsc2_running_0" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc4.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/inc4.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc4.exp
@@ -42,9 +42,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="9" operation="monitor" operation_key="child_rsc1:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <rsc_op id="18" operation="stop" operation_key="child_rsc1:3_stop_0" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
       <trigger>
@@ -89,9 +86,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="10" operation="monitor" operation_key="child_rsc1:3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <rsc_op id="20" operation="stop" operation_key="child_rsc1:4_stop_0" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
       <trigger>
@@ -260,9 +254,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="5" operation="monitor" operation_key="child_rsc2:3_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
-       </trigger>
-       <trigger>
         <rsc_op id="33" operation="stop" operation_key="child_rsc2:4_stop_0" on_node="node2" on_node_uuid="uuid2"/>
        </trigger>
        <trigger>
@@ -307,9 +298,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="6" operation="monitor" operation_key="child_rsc2:4_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="37" operation="stop" operation_key="rsc2_stop_0"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc5.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/inc5.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc5.dot
@@ -6,7 +6,6 @@
 "child_rsc1:2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2:0_monitor_0 node2" -> "rsc2_start_0" [ style = bold]
 "child_rsc2:0_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
-"child_rsc2:1_monitor_0 node2" -> "child_rsc2:1_stop_0 node1" [ style = bold]
 "child_rsc2:1_monitor_0 node2" -> "rsc2_start_0" [ style = bold]
 "child_rsc2:1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2:1_start_0 node2" -> "rsc2_running_0" [ style = bold]
@@ -25,7 +24,6 @@
 "child_rsc3:2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc4:0_monitor_0 node2" -> "rsc4_start_0" [ style = bold]
 "child_rsc4:0_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
-"child_rsc4:1_monitor_0 node2" -> "child_rsc4:1_stop_0 node1" [ style = bold]
 "child_rsc4:1_monitor_0 node2" -> "rsc4_start_0" [ style = bold]
 "child_rsc4:1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc4:1_start_0 node2" -> "rsc4_running_0" [ style = bold]
@@ -40,7 +38,6 @@
 "child_rsc4:2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc5:0_monitor_0 node1" -> "rsc5_start_0" [ style = bold]
 "child_rsc5:0_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
-"child_rsc5:1_monitor_0 node1" -> "child_rsc5:1_stop_0 node2" [ style = bold]
 "child_rsc5:1_monitor_0 node1" -> "rsc5_start_0" [ style = bold]
 "child_rsc5:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc5:1_start_0 node1" -> "rsc5_running_0" [ style = bold]
@@ -59,7 +56,6 @@
 "child_rsc6:2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc7:0_monitor_0 node1" -> "rsc7_start_0" [ style = bold]
 "child_rsc7:0_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
-"child_rsc7:1_monitor_0 node1" -> "child_rsc7:1_stop_0 node2" [ style = bold]
 "child_rsc7:1_monitor_0 node1" -> "rsc7_start_0" [ style = bold]
 "child_rsc7:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc7:1_start_0 node1" -> "rsc7_running_0" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc5.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/inc5.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/inc5.exp
@@ -69,9 +69,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="21" operation="monitor" operation_key="child_rsc2:1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="48" operation="stop" operation_key="rsc2_stop_0"/>
        </trigger>
      </inputs>
@@ -235,9 +232,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="26" operation="monitor" operation_key="child_rsc4:1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="64" operation="stop" operation_key="rsc4_stop_0"/>
        </trigger>
      </inputs>
@@ -365,9 +359,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="9" operation="monitor" operation_key="child_rsc5:1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="72" operation="stop" operation_key="rsc5_stop_0"/>
        </trigger>
      </inputs>
@@ -531,9 +522,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="14" operation="monitor" operation_key="child_rsc7:1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
-       </trigger>
-       <trigger>
         <pseudo_event id="88" operation="stop" operation_key="rsc7_stop_0"/>
        </trigger>
      </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/migrate-1.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/migrate-1.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/migrate-1.dot
@@ -7,7 +7,6 @@
 "rsc3_migrate_to_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc3_monitor_0 node2" -> "rsc3_migrate_to_0 node1" [ style = bold]
 "rsc3_monitor_0 node2" -> "rsc3_start_0 node2" [ style = bold]
-"rsc3_monitor_0 node2" -> "rsc3_stop_0 node1" [ style = bold]
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc3_start_0 node2" [ style=bold color="green" fontcolor="orange" ]
 "rsc3_stop_0 node1" -> "all_stopped" [ style = bold]
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/migrate-1.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/migrate-1.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/migrate-1.exp
@@ -52,9 +52,6 @@
      </action_set>
      <inputs>
        <trigger>
-        <rsc_op id="2" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="node2"/>
-       </trigger>
-      <trigger>
         <rsc_op id="6" operation="migrate_from" operation_key="rsc3_migrate_from_0" on_node="node2" on_node_uuid="node2"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/mon-rsc-2.dot
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/mon-rsc-2.dot
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/mon-rsc-2.dot
@@ -1,7 +1,6 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_monitor_0 node1" -> "rsc1_start_0 node1" [ style = bold]
-"rsc1_monitor_0 node1" -> "rsc1_stop_0 node2" [ style = bold]
 "rsc1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc1_monitor_5000 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc1_start_0 node1" -> "rsc1_monitor_5000 node1" [ style = bold]
